Name:		python-mingus
Version:	0.5.1
Release:	%mkrel 1
Summary:	Music theory and notation package for Python with MIDI playback support
Group:		Sound/Midi
License:	GPLv3
URL:		https://github.com/bspaans/python-mingus
Source0:	https://github.com/bspaans/python-mingus/archive/%{name}-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch
Requires:	fluidsynth

%description
Mingus is an advanced music theory and notation package for Python
with MIDI playback support. It can be used to play around with music
theory, to build editors, educational tools and other applications
that need to process and/or play music. It can also be used to
create sheet music with LilyPond and do automate musicological
analysis.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install \
    -O1 --skip-build \
    --prefix=%{_prefix} \
    --root %{buildroot}
# move examples to a more appropriate location
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}/usr/mingus_examples %{buildroot}%{_datadir}/mingus

%files
%doc README.md THANKS
%{python_sitelib}/mingus-%{version}-py*.egg-info
%{python_sitelib}/mingus/
%{_datadir}/mingus/


%changelog
* Tue Nov 17 2015 alexl <alexl> 0.5.1-1.mga6
+ Revision: 903846
- version 0.5.1
- new url
- del missing %%doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2.3-5.mga5
+ Revision: 741808
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2.3-4.mga5
+ Revision: 729076
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2.3-3.mga5
+ Revision: 688153
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Apr 26 2014 alexl <alexl> 0.4.2.3-1.mga5
+ Revision: 618186
- imported package python-mingus

